package com.ruoyi.report.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.report.mapper.RecordGroupamountDayMapper;
import com.ruoyi.report.domain.RecordGroupamountDay;
import com.ruoyi.report.service.IRecordGroupamountDayService;
import com.ruoyi.common.core.text.Convert;

/**
 * 班组产量日报Service业务层处理
 * 
 * @author CaesarBao
 * @date 2020-11-04
 */
@Service
public class RecordGroupamountDayServiceImpl implements IRecordGroupamountDayService 
{
    @Autowired
    private RecordGroupamountDayMapper recordGroupamountDayMapper;

    /**
     * 查询班组产量日报
     * 
     * @param objid 班组产量日报ID
     * @return 班组产量日报
     */
    @Override
    public RecordGroupamountDay selectRecordGroupamountDayById(Long objid)
    {
        return recordGroupamountDayMapper.selectRecordGroupamountDayById(objid);
    }

    /**
     * 查询班组产量日报列表
     * 
     * @param recordGroupamountDay 班组产量日报
     * @return 班组产量日报
     */
    @Override
    public List<RecordGroupamountDay> selectRecordGroupamountDayList(RecordGroupamountDay recordGroupamountDay)
    {
        return recordGroupamountDayMapper.selectRecordGroupamountDayList(recordGroupamountDay);
    }

    /**
     * 新增班组产量日报
     * 
     * @param recordGroupamountDay 班组产量日报
     * @return 结果
     */
    @Override
    public int insertRecordGroupamountDay(RecordGroupamountDay recordGroupamountDay)
    {
        return recordGroupamountDayMapper.insertRecordGroupamountDay(recordGroupamountDay);
    }

    /**
     * 修改班组产量日报
     * 
     * @param recordGroupamountDay 班组产量日报
     * @return 结果
     */
    @Override
    public int updateRecordGroupamountDay(RecordGroupamountDay recordGroupamountDay)
    {
        return recordGroupamountDayMapper.updateRecordGroupamountDay(recordGroupamountDay);
    }

    /**
     * 删除班组产量日报对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteRecordGroupamountDayByIds(String ids)
    {
        return recordGroupamountDayMapper.deleteRecordGroupamountDayByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除班组产量日报信息
     * 
     * @param objid 班组产量日报ID
     * @return 结果
     */
    @Override
    public int deleteRecordGroupamountDayById(Long objid)
    {
        return recordGroupamountDayMapper.deleteRecordGroupamountDayById(objid);
    }
}
